6.0.0-git
2019-03-23

[#8498] Auto authentication broken
Summary Auto authentication broken
Queue Horde Base
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester chuck (at) horde (dot) org
Created 2009-08-17 (3505 days ago)
Due
Updated 2009-08-18 (3504 days ago)
Assigned 2009-08-17 (3505 days ago)
Resolved 2009-08-18 (3504 days ago)
Milestone
Patch No

History
2009-08-18 13:49:23 Chuck Hagenbuch Comment #5
State ⇒ Resolved
Reply to this comment
It works. Thanks.
2009-08-18 02:34:04 Chuck Hagenbuch Comment #4 Reply to this comment
I think that any transparent auth driver is broken
That statement isn't correct because imp uses transparent
authentication for hordeauth (which works).  So transparent auth is
not entirely broken.
You are correct; I should have said that I suspected that any of the 
transparent drivers in the Auth package (i.e., anything not accessed 
through Horde_Auth_Application) was broken. I'll test in the morning 
when I have the setup I've been using for this in front of me again.
2009-08-17 23:57:19 Michael Slusarz Comment #3
State ⇒ Feedback
Reply to this comment
2009-08-17 23:27:32 Michael Slusarz Comment #2 Reply to this comment
I think that any transparent auth driver is broken
That statement isn't correct because imp uses transparent 
authentication for hordeauth (which works).  So transparent auth is 
not entirely broken.




2009-08-17 02:21:46 Chuck Hagenbuch Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 2. Medium
Summary ⇒ Auto authentication broken
Queue ⇒ Horde Base
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
The Auto auth driver (which relies on transparent auth) doesn't work 
anymore. I think that any transparent auth driver is broken, because 
Horde_Auth::isAuthenticated is always called with an $app parameter in 
Registry.php, so the base driver is never loaded. Not sure how this is 
supposed to work now.

Saved Queries